---
# the mariadb package state ('present', 'latest')
mariadb_state: "present"
# start mariadb service at system boot
mariadb_service_enabled: "yes"
# can ansible restart mariadb service
mariadb_service_restart: "yes"

# the mariadb version
mariadb_version: "10.6"
# the mariadb repository key url
#mariadb_repo_key_url:
#- "https://supplychain.mariadb.com/MariaDB-Server-GPG-KEY"
#- "https://supplychain.mariadb.com/MariaDB-MaxScale-GPG-KEY"
#- "https://supplychain.mariadb.com/MariaDB-Enterprise-GPG-KEY"
# the mariadb repository key server
mariadb_repo_keyserv: "keyserver.ubuntu.com"
# the mariadb repository key id
mariadb_repo_keyserv_id: ['0x8167EE24', '0xE3C94F49', '0xcbcb082a1bb943db', '0xf1656f24c74cd1d8', '0x135659e928c12247']
# the mariadb repository url
mariadb_repo_url: "deb https://dlm.mariadb.com/repo/mariadb-server/{{ mariadb_version }}/repo/{{ ansible_distribution | lower }} {{ ansible_distribution_release }} main"

# the mariadb configuration directory
mariadb_confdir: "/etc/mysql"
# the mariadb data directory
mariadb_datadir: "/var/lib/mysql"

# the mariadb main configuration file (absolute path starting with '/'; relative path auto-prefixed with `mariadb_confdir`)
mariadb_conf_main: "mariadb.cnf"
# the mariadb mail configuration template
#mariadb_conf_tmpl: "mariadb.cnf.j2"

# the mariadb network port
#mariadb_network_port: 3306

# the mariadb root password
#mariadb_root_password: ""

# the mariadb database list
mariadb_database: []
# - name: string
#   collation: string | d('utf8mb4_general_ci')
#   encoding: string | d('utf8mb4')
#   state: enum('present', 'absent') | d('present')
# the mariadb user list
mariadb_user: []
# - name: string
#   encrypted: boolean | d('no')
#   host: string | d('localhost')
#   password: string
#   priv: string | d('*.*:USAGE')
#   state: enum('present', 'absent') | d('present')
